Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.util
Class HSSFColor.DARK_TEAL

    java.lang.Object
      org.apache.poi.hssf.util.HSSFColor
          org.apache.poi.hssf.util.HSSFColor.DARK_TEAL

All Implemented Interfaces:
  Color

Enclosing class:
  HSSFColor

    public static final class HSSFColor.DARK_TEAL

extends HSSFColor

Class DARK_TEAL

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hssf.util.HSSFColor
`HSSFColor.AQUA, HSSFColor.AUTOMATIC, HSSFColor.BLACK, HSSFColor.BLUE, HSSFColor.BLUE_GREY, HSSFColor.BRIGHT_GREEN, HSSFColor.BROWN, HSSFColor.CORAL, HSSFColor.CORNFLOWER_BLUE, HSSFColor.DARK_BLUE, HSSFColor.DARK_GREEN, HSSFColor.DARK_RED, HSSFColor.DARK_TEAL, HSSFColor.DARK_YELLOW, HSSFColor.GOLD, HSSFColor.GREEN, HSSFColor.GREY_25_PERCENT, HSSFColor.GREY_40_PERCENT, HSSFColor.GREY_50_PERCENT, HSSFColor.GREY_80_PERCENT, HSSFColor.INDIGO, HSSFColor.LAVENDER, HSSFColor.LEMON_CHIFFON, HSSFColor.LIGHT_BLUE, HSSFColor.LIGHT_CORNFLOWER_BLUE, HSSFColor.LIGHT_GREEN, HSSFColor.LIGHT_ORANGE, HSSFColor.LIGHT_TURQUOISE, HSSFColor.LIGHT_YELLOW, HSSFColor.LIME, HSSFColor.MAROON, HSSFColor.OLIVE_GREEN, HSSFColor.ORANGE, HSSFColor.ORCHID, HSSFColor.PALE_BLUE, HSSFColor.PINK, HSSFColor.PLUM, HSSFColor.RED, HSSFColor.ROSE, HSSFColor.ROYAL_BLUE, HSSFColor.SEA_GREEN, HSSFColor.SKY_BLUE, HSSFColor.TAN, HSSFColor.TEAL, HSSFColor.TURQUOISE, HSSFColor.VIOLET, HSSFColor.WHITE, HSSFColor.YELLOW`

Field Summary
`static java.lang.String` | `hexString`
`static short` | `index`
`static short[]` | `triplet`

Constructor Summary
`HSSFColor.DARK_TEAL()`

Method Summary
`java.lang.String` | `getHexString()`
`short` | `getIndex()`
`short[]` | `getTriplet()`

Methods inherited from class org.apache.poi.hssf.util.HSSFColor
`getIndexHash, getMutableIndexHash, getTripletHash`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    public static final short index

See Also:
  Constant Field Values

### triplet

    public static final short[] triplet

### hexString

    public static final java.lang.String hexString

See Also:
  Constant Field Values

Constructor Detail

### HSSFColor.DARK_TEAL

    public HSSFColor.DARK_TEAL()

Method Detail

### getIndex

    public short getIndex()

  Overrides:
    `getIndex` in class `HSSFColor`
  Returns:
    index to the standard palette

### getTriplet

    public short[] getTriplet()

  Overrides:
    `getTriplet` in class `HSSFColor`
  Returns:
    triplet representation like that in Excel

### getHexString

    public java.lang.String getHexString()

  Overrides:
    `getHexString` in class `HSSFColor`
  Returns:
    a hex string exactly like a gnumeric triplet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD